---
id: 66ea89c25e1bd871688eba6a
title: Step 6
challengeType: 1
dashedName: step-6
---

# --description--

Up until this point, you have only been dealing with floating point numbers and the number `0`.

For the next part of the workshop, you will review how to work with the `Math.floor()` method.

Start by adding a `console.log()` that logs the message `"The Math.floor() method rounds the value down to the nearest whole integer."`

# --hints--

You should log the message `"The Math.floor() method rounds the value down to the nearest whole integer."`

```js
assert.match(code, /console\.log\((["'])The\s+Math\.floor\(\)\s+method\s+rounds\s+the\s+value\s+down\s+to\s+the\s+nearest\s+whole\s+integer\.\1\)/);
```

# --seed--

## --seed-contents--

```js
const botName = "MathBot";
const greeting = `Hi there! My name is ${botName} and I am here to teach you about the Math object!`;

console.log(greeting);

console.log("The Math.random() method returns a pseudo random number greater than or equal to 0 and less than 1.");

const randomNum = Math.random();
console.log(randomNum);

console.log("Now, generate a random number between two values.");

const min = 1;
const max = 100;

const randomNum2 = Math.random() * (max - min) + min;
console.log(randomNum2);
--fcc-editable-region--

--fcc-editable-region--
```
